(((D3Occlude&D3Strange)&(-A3Occlude&-A3Strange))|((D3Occlude&D3Strange)&(A3Occlude&A3Strange))|((-D3Occlude&-D3Strange)&(A3Occlude&A3Strange))|((D3Occlude&-D3Strange)&(-A3Occlude&A3Strange))|((D3Occlude&-D3Strange)&(A3Occlude&-A3Strange))|((-D3Occlude&D3Strange)&(A3Occlude&-A3Strange))).
(((A1Occlude&-A1Strange)&(-B3Occlude&-B3Strange)&(D3Occlude&-D3Strange))|((-A1Occlude&A1Strange)&(-B3Occlude&-B3Strange)&(-D3Occlude&D3Strange))|((-A1Occlude&-A1Strange)&(-B3Occlude&B3Strange)&(-D3Occlude&-D3Strange))).
(((C3Occlude&C3Strange)&(E3Occlude&E3Strange)&(-C1Occlude&-C1Strange))|((C3Occlude&C3Strange)&(E3Occlude&E3Strange)&(-C1Occlude&C1Strange))|((C3Occlude&C3Strange)&(E3Occlude&E3Strange)&(C1Occlude&C1Strange))|((C3Occlude&C3Strange)&(E3Occlude&E3Strange)&(C1Occlude&-C1Strange))).
(((B1Occlude&B1Strange)&(-E3Occlude&-E3Strange))|((B1Occlude&B1Strange)&(E3Occlude&E3Strange))|((-B1Occlude&-B1Strange)&(E3Occlude&E3Strange))|((B1Occlude&-B1Strange)&(-E3Occlude&E3Strange))|((B1Occlude&-B1Strange)&(E3Occlude&-E3Strange))|((-B1Occlude&B1Strange)&(E3Occlude&-E3Strange))).
(((D1Occlude&D1Strange)&(-A1Occlude&-A1Strange))|((D1Occlude&D1Strange)&(A1Occlude&A1Strange))|((-D1Occlude&-D1Strange)&(A1Occlude&A1Strange))|((D1Occlude&-D1Strange)&(-A1Occlude&A1Strange))|((D1Occlude&-D1Strange)&(A1Occlude&-A1Strange))|((-D1Occlude&D1Strange)&(A1Occlude&-A1Strange))).
(((A2Occlude&-A2Strange)&(-B1Occlude&-B1Strange)&(D1Occlude&-D1Strange))|((-A2Occlude&A2Strange)&(-B1Occlude&-B1Strange)&(-D1Occlude&D1Strange))|((-A2Occlude&-A2Strange)&(-B1Occlude&B1Strange)&(-D1Occlude&-D1Strange))).
(((C1Occlude&C1Strange)&(E1Occlude&E1Strange)&(-C2Occlude&-C2Strange))|((C1Occlude&C1Strange)&(E1Occlude&E1Strange)&(-C2Occlude&C2Strange))|((C1Occlude&C1Strange)&(E1Occlude&E1Strange)&(C2Occlude&C2Strange))|((C1Occlude&C1Strange)&(E1Occlude&E1Strange)&(C2Occlude&-C2Strange))).
(((B2Occlude&B2Strange)&(-E1Occlude&-E1Strange))|((B2Occlude&B2Strange)&(E1Occlude&E1Strange))|((-B2Occlude&-B2Strange)&(E1Occlude&E1Strange))|((B2Occlude&-B2Strange)&(-E1Occlude&E1Strange))|((B2Occlude&-B2Strange)&(E1Occlude&-E1Strange))|((-B2Occlude&B2Strange)&(E1Occlude&-E1Strange))).
(((D2Occlude&D2Strange)&(-A2Occlude&-A2Strange))|((D2Occlude&D2Strange)&(A2Occlude&A2Strange))|((-D2Occlude&-D2Strange)&(A2Occlude&A2Strange))|((D2Occlude&-D2Strange)&(-A2Occlude&A2Strange))|((D2Occlude&-D2Strange)&(A2Occlude&-A2Strange))|((-D2Occlude&D2Strange)&(A2Occlude&-A2Strange))).
(((A3Occlude&-A3Strange)&(-B2Occlude&-B2Strange)&(D2Occlude&-D2Strange))|((-A3Occlude&A3Strange)&(-B2Occlude&-B2Strange)&(-D2Occlude&D2Strange))|((-A3Occlude&-A3Strange)&(-B2Occlude&B2Strange)&(-D2Occlude&-D2Strange))).
(((C2Occlude&C2Strange)&(E2Occlude&E2Strange)&(-C3Occlude&-C3Strange))|((C2Occlude&C2Strange)&(E2Occlude&E2Strange)&(-C3Occlude&C3Strange))|((C2Occlude&C2Strange)&(E2Occlude&E2Strange)&(C3Occlude&C3Strange))|((C2Occlude&C2Strange)&(E2Occlude&E2Strange)&(C3Occlude&-C3Strange))).
(((B3Occlude&B3Strange)&(-E2Occlude&-E2Strange))|((B3Occlude&B3Strange)&(E2Occlude&E2Strange))|((-B3Occlude&-B3Strange)&(E2Occlude&E2Strange))|((B3Occlude&-B3Strange)&(-E2Occlude&E2Strange))|((B3Occlude&-B3Strange)&(E2Occlude&-E2Strange))|((-B3Occlude&B3Strange)&(E2Occlude&-E2Strange))).
A1Occlude.
-A1Strange.
A2Occlude.
-A2Strange.
A3Occlude.
-A3Strange.
D1Occlude.
-D1Strange.
D2Occlude.
-D2Strange.
D3Occlude.
-D3Strange.
